import Vue from 'vue'

/**
 * 时间戳转换为想要的时间格式
 */
//时间戳转换为时间 format('yyyy-MM-dd hh:mm:ss')
//时间格式转换
Date.prototype.format = function (fmt = 'yyyy-MM-dd hh:mm:ss') {
  //author: meizz
  var o = {
    'M+': this.getMonth() + 1, //月份
    'd+': this.getDate(), //日
    'h+': this.getHours(), //小时
    'm+': this.getMinutes(), //分
    's+': this.getSeconds(), //秒
    'q+': Math.floor((this.getMonth() + 3) / 3), //季度
    S: this.getMilliseconds() //毫秒
  }
  if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + '').substr(4 - RegExp.$1.length))
  for (var k in o)
    if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length))
  return fmt
}
//金额过滤
Vue.filter('money', function (val) {
  console.log(val)
  if (val) {
    let value = Math.round(parseFloat(val) * 100) / 100
    let valMoney = value.toString().split('.')
    if (valMoney.length == 1) {
      value = value.toString() + '.00'
      return value
    }
    if (valMoney.length > 1) {
      if (valMoney[1].length < 2) {
        value = value.toString() + '0'
      }
      return value
    }
    return value
  } else {
    return '0.00'
  }
})
//时间距离现在多少天前
Vue.filter('dateDiff', function (val) {
  if (val) {
    return clickDateDiff(val)
  } else {
    return ''
  }
})
// 时间格式化
Vue.filter('timeFormat', function (val, fmt = 'yyyy-MM-dd hh:mm:ss') {
  if (val) {
    if (typeof val == 'string') {
      let timeText = val.replace(/-/g, '/')
      return new Date(timeText).format(fmt)
    } else if (typeof val == 'number') {
      return new Date(val).format(fmt)
    }
  } else {
    return ''
  }
})
